import { action, makeObservable, observable } from "mobx";
import { RootStore } from "./RootStore";

export class UIStore {
    @observable title: string = '';

    constructor(private readonly rootStore: RootStore) {
        makeObservable(this);
    }

    @action setTitle(title: string) {
        this.title = title;
    }
}