import React, { useEffect } from 'react';
import { useInjection } from "inversify-react";
import { UIStore } from "../stores/UIStore";

type SetTitleProps = {
    children: string
}

const SetTitle = ({ children }: SetTitleProps) => {
    const uiStore = useInjection(UIStore)
    useEffect(() => uiStore.setTitle(children), [])

    return null
};

export default SetTitle;
